Bug 1255454 - Editor size not restored after hiding domain screen if save has been performed
Editor size not restored after hiding domain screen if save has been performed
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity low
: ER3
: 6.2.0
Assigned To: Walter Medvedeo
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 11:39 EDT by Jiri Locker
Modified: 2018-03-31 18:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (53.87 KB, image/png)
2015-08-20 11:39 EDT, Jiri Locker
no flags Details
Behavioural problems of the data editor (83.85 KB, image/png)
2015-10-14 05:28 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Jiri Locker 2015-08-20 11:39:26 EDT
Created attachment 1065315 [details]
Screenshot

Description of problem:
It seems that save causes the Data Objects editor to refresh. If domain screen is expanded during the save, the current editor width is stored as maximum available and after hiding the domain screen the editor does not resize to full available space.

Version-Release number of selected component (if applicable):
6.2.0.ER1

How reproducible:
-

Steps to Reproduce:
1. Open any Data Object.
2. Expand any domain screen.
3. Make a change in the data object and save it.
4. Hide domain screen.

Actual results:
Data Objects editor width does not increase after hiding domain screen.

Expected results:
Data Objects editor should resize to full available width.

Additional info:
Comment 2 Jiri Locker 2015-08-21 04:30:22 EDT
Happens with every editor.

Another (simpler) way to reproduce:
1. Expand any domain screen.
2. Open any editor (e.g. guided rule, data object).
3. Hide domain screen.

Result: Editor header bar (Title + Save, Delete, ...) is resized but the editor content is not.
Comment 3 Walter Medvedeo 2015-09-09 11:10:35 EDT
I guess this should be some more general mechanism, likely related to uberfire
Comment 4 Walter Medvedeo 2015-09-10 11:41:45 EDT
I've detected that the behavior was a side effect of the Lock mechanism that caused the editor to be reloaded after each save.
It was reported and finally fixed by Christian in the following Uberfire commits:


master: 
https://github.com/uberfire/uberfire/commit/82929783b8552da1c1fa9980f16a719ef3b7b423


0.7.x
https://github.com/uberfire/uberfire/commit/d0d5504f86129026c784207c52d19dc410d5a1f1
Comment 5 Pavel Kralik 2015-10-14 05:28 EDT
Created attachment 1082757 [details]
Behavioural problems of the data editor
Comment 6 Pavel Kralik 2015-10-14 05:29:27 EDT
BPMS 6.2.0.ER3 has the behavioural problems of the data editor. See screenshot.
Comment 7 Walter Medvedeo 2015-10-14 09:18:25 EDT
I've re-tested it with the following results.

1) The resize effect initially reported in the BZ is fixed, or at least I've reproduced the steps 1,2,3, and the resizing is working as expected.

2) for the next reported issue "Behavioural problems of the data editor" I couldn't fined a reproducible sequence of steps.

In my opinion issue reported originally is fixed, and I believe it's better to open a new one with the new "Behavioural problems of the data editor" described problem and if possible provide a reproducible sequence of steps.
Comment 9 Walter Medvedeo 2015-12-09 06:44:21 EST
Was re tested on 6.3.x (closest code used for the 6.2 GA branch) and it couldn't be reproduced. So I change status to modified so it can be retested, hopefully with next roll-up patch.
Comment 10 Jiri Locker 2015-12-09 06:54:48 EST
Yes, the original issue has been resolved.

The problem described in comment 6 is tracked in a new bugzilla 1289536.

Note You need to log in before you can comment on or make changes to this bug.